diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 7841ef9..dd3217e 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -145730,8 +145730,8 @@ TransSolvePackage(R) : Exports == Implementation where
         k :: RE :: Polynomial RE
 
      smp2Poly(pol:SMP(R,Kernel RE), lvar:L S):Polynomial RE ==
-        map(ker2Poly(#1, lvar),
-           #1::RE::Polynomial RE, pol)$PolynomialCategoryLifting(
+        map(x +-> ker2Poly(x, lvar),
+            y +-> y::RE::Polynomial RE, pol)$PolynomialCategoryLifting(
               IndexedExponents Kernel RE, Kernel RE, R, SMP(R, Kernel RE), 
                       Polynomial RE)
 
diff --git a/changelog b/changelog
index 2c9ffeb..ba13d78 100644
--- a/changelog
+++ b/changelog
@@ -1,4 +1,6 @@
-20090624 tpd src/axiom-website/patches.html 20090623.04.tpd.patch
+20090624 tpd src/axiom-website/patches.html 20090624.02.tpd.patch
+20090624 tpd books/bookvol10.4 SOLVETRA +-> conversion
+20090624 tpd src/axiom-website/patches.html 20090624.01.tpd.patch
 20090624 tpd books/bookvol10.4 RDETRS +-> conversion
 20090623 tpd src/axiom-website/patches.html 20090623.03.tpd.patch
 20090623 tpd books/bookvol10.4 TRMANIP +-> conversion
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 5bd616b..977bb15 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1653,5 +1653,7 @@ bookvol10.4 INTTR +-> conversion<br/>
 bookvol10.4 TRMANIP +-> conversion<br/>
 <a href="patches/20090624.01.tpd.patch">20090624.01.tpd.patch</a>
 bookvol10.4 RDETRS +-> conversion<br/>
+<a href="patches/20090624.02.tpd.patch">20090624.02.tpd.patch</a>
+bookvol10.4 SOLVETRA +-> conversion<br/>
  </body>
 </html>
